Boot (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.runtime.Boot class
Date: 2021-11-09

net.sourceforge.jnlp.runtime

## Class Boot

- java.lang.Object
- - net.sourceforge.jnlp.runtime.Boot

- All Implemented Interfaces:
    java.security.PrivilegedAction<java.lang.Void>

      public final class Boot
      extends java.lang.Object
      implements java.security.PrivilegedAction<java.lang.Void>

  This is the main entry point for the JNLP client. The main method parses the command line parameters and loads a JNLP file into the secure runtime environment. This class is meant to be called from the command line or file association; to initialize the netx engine from other code invoke the `JNLPRuntime.initialize(boolean)` method after configuring the runtime.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `name`
    `static java.lang.String` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Boot()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static net.sourceforge.jnlp.util.optionparser.OptionParser` | `getOptionParser()`
    `static void` | `main(java.lang.String[] argsIn)` Launch the JNLP file specified by the command-line arguments.
    `java.lang.Void` | `run()` The privileged part (jdk1.3 compatibility).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public static final java.lang.String name

    - #### version

          public static final java.lang.String version

  - ### Constructor Detail

    - #### Boot

          public Boot()

  - ### Method Detail

    - #### getOptionParser

          public static net.sourceforge.jnlp.util.optionparser.OptionParser getOptionParser()

    - #### main

          public static void main(java.lang.String[] argsIn)
                           throws net.sourceforge.jnlp.util.optionparser.UnevenParameterException

      Launch the JNLP file specified by the command-line arguments.
      Parameters:
        `argsIn` - launching arguments
      Throws:
        `net.sourceforge.jnlp.util.optionparser.UnevenParameterException`

    - #### run

          public java.lang.Void run()

      The privileged part (jdk1.3 compatibility).
      Specified by:
        `run` in interface `java.security.PrivilegedAction<java.lang.Void>`

Submit a bug or feature